%define upstream_name    Net-GPSD3
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Net::GPSD3 Return Satellite Object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::W3CDTF) >= 0.60.0
BuildRequires: perl(GPS::Point) >= 0.100.0
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
Net::GPSD3 provides an object client interface to the gpsd server daemon
utilizing the version 3.1 protocol. gpsd is an open source GPS deamon from
http://gpsd.berlios.de/. Support for Version 3 of the protocol (JSON) was
adding to the daemon in version 2.90. If your daemon is before 2.90 then
please use the the Net::GPSD manpage package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_bindir}/*
%{_mandir}/man?/*
%perl_vendorlib/*

%changelog
* Mon Apr 11 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 83369
- update to 0.17

* Thu Apr 07 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 81777
- update to 0.15

* Mon Mar 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 78364
- update to 0.14

* Fri Mar 25 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 77325
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 36431
- mageia rebuild
- imported package perl-Net-GPSD3


* Sun Oct 31 2010 Olivier Thauvin <nanardon@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 590778
- import perl-Net-GPSD3

